- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::SpatialMOPairIter_neq Class Reference

SpatialMOPairIter_neq gives the ordering of pairs of spatial orbitals from different spaces. More...

`#include <pairiter.h>`

Inheritance diagram for sc::SpatialMOPairIter_neq:

List of all members.

## Public Member Functions
| SpatialMOPairIter_neq (const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2)
| Initialize an iterator for the given MO spaces.
void | start (const int ij_offset=0)
| Initialize the iterator assuming that iteration will start with pair ij_offset.
void | next ()
| Move to the next pair.
| operator int () const
| Returns nonzero if the iterator currently hold valid data.
int | nij_aa () const
| Returns the number of functions in alpha-alpha space.
int | nij_ab () const
| Returns the number of functions in alpha-beta space.
int | ij_aa () const
| Returns compound index ij for alpha-alpha case.
int | ij_ab () const
| Returns compound index ij for alpha-beta case.
int | ij_ba () const
| Returns compound index ij for beta-alpha case.

## Detailed Description

SpatialMOPairIter_neq gives the ordering of pairs of spatial orbitals from different spaces.

It iterates over all ij combinations (total of ni_*nj_ pairs).

The documentation for this class was generated from the following file:

- pairiter.h